Package javax.security.auth.message

## Interface MessagePolicy.ProtectionPolicy

- Enclosing class:
    MessagePolicy

      public static interface MessagePolicy.ProtectionPolicy

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `AUTHENTICATE_CONTENT` |
    `static java.lang.String` | `AUTHENTICATE_RECIPIENT` |
    `static java.lang.String` | `AUTHENTICATE_SENDER` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getID()` |

- - ### Field Detail

    - #### AUTHENTICATE_SENDER

          static final java.lang.String AUTHENTICATE_SENDER

      See Also:
        Constant Field Values

    - #### AUTHENTICATE_CONTENT

          static final java.lang.String AUTHENTICATE_CONTENT

      See Also:
        Constant Field Values

    - #### AUTHENTICATE_RECIPIENT

          static final java.lang.String AUTHENTICATE_RECIPIENT

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          java.lang.String getID()